<?php
/*======
*
* Theme Meta Boxes
*
======*/
function cloux_meta_boxes( $meta_boxes ) {



    /*======
    *
    * Post Meta Boxes
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'post-settings',
        'title' => esc_html__( 'Post Settings', 'cloux' ),
        'post_types' => 'post',
        'context' => 'normal',
        'priority' => 'high',
        'tabs' => array(
            'design' => array(
                'label' => esc_html__( 'Layouts & Design', 'cloux' ),
                'icon' => 'dashicons-admin-customizer',
            ),
            'media' => array(
                'label' => esc_html__( 'Media', 'cloux' ),
                'icon' => 'dashicons-admin-collapse',
            ),
            'content' => array(
                'label' => esc_html__( 'Content', 'cloux' ),
                'icon' => 'dashicons-admin-page',
            ),
            'review' => array(
                'label' => esc_html__( 'Review', 'cloux' ),
                'icon' => 'dashicons-clipboard',
            ),
        ),
        'tab_style' => 'left',
        'tab_wrapper' => true,

        /*====== Fields ======*/
        'fields' => array(

            /*====== Design ======*/
            array(
                'name' => esc_html__( 'Hide Header', 'cloux' ),
                'desc' => esc_html__( 'You can hide the header.', 'cloux' ),
                'id' => 'hide-header',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Header Style', 'cloux' ),
                'desc' => esc_html__( 'You can choose a header style.', 'cloux' ),
                'id' => 'header-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-2.svg',
                    'style-3' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-3.svg',
                    'style-4' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-4.svg',
                    'style-5' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-5.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Header Position', 'cloux' ),
                'desc' => esc_html__( 'You can choose a header position.', 'cloux' ),
                'id' => 'header-position',
                'type' => 'image_select',
                'options'  => array(
                    'position-1' => get_template_directory_uri() . '/include/customize/assets/img/header-position/position-1.svg',
                    'position-2' => get_template_directory_uri() . '/include/customize/assets/img/header-position/position-2.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Page Banner', 'cloux' ),
                'desc' => esc_html__( 'You can hide page banner (Title, breadcrumb etc.).', 'cloux' ),
                'id' => 'hide-page-banner',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Page Banner Background', 'cloux' ),
                'desc' => esc_html__( 'You can upload a background image for page banner. Recommended: 1920x450', 'cloux' ),
                'id' => 'hide-page-banner-image',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Footer', 'cloux' ),
                'desc' => esc_html__( 'You can hide the footer.', 'cloux' ),
                'id' => 'hide-footer',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Footer Style', 'cloux' ),
                'desc' => esc_html__( 'You can choose a footer style.', 'cloux' ),
                'id' => 'footer-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/footer-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/footer-style/style-2.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Footer Gap', 'cloux' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the footer.', 'cloux' ),
                'id' => 'hide-footer-gap',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Sidebar Position', 'cloux' ),
                'desc' => esc_html__( 'You can choose a sidebar position.', 'cloux' ),
                'id' => 'sidebar-position',
                'type' => 'image_select',
                'options'  => array(
                    'right-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/right-sidebar.svg',
                    'left-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/left-sidebar.svg',
                    'no-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/no-sidebar.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Sidebar', 'cloux' ),
                'desc' => esc_html__( 'You can choose a sidebar for this page.', 'cloux' ),
                'id' => 'sidebar',
                'type' => 'sidebar',
                'tab' => 'design',
            ),

            /*====== Media ======*/
            array(
                'name' => esc_html__( 'Hide Featured Image & Media', 'cloux' ),
                'desc' => esc_html__( 'You can hide the featured image, video, gallery or audio from the featured content.', 'cloux' ),
                'id' => 'hide-featured-content',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'media',
            ),
            array(
                'name' => esc_html__( 'Gallery Type', 'cloux' ),
                'desc' => esc_html__( 'You can choose a style for featured gallery.', 'cloux' ),
                'id' => 'image-gallery-type',
                'type' => 'radio',
                'tab' => 'media',
                'std' => 'slider',
                'options' => array(
                    'slider' => esc_html__( 'Slider', 'cloux' ),
                    'grid' => esc_html__( 'Grid', 'cloux' ),
                ),
            ),
            array(
                'name' => esc_html__( 'Image Gallery for Gallery Format', 'cloux' ),
                'desc' => esc_html__( 'You can create a gallery for gallery format.', 'cloux' ),
                'id' => 'image-gallery',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'tab' => 'media',
                'image_size' => 'thumbnail',
            ),
            array(
                'name' => esc_html__( 'Video', 'cloux' ),
                'desc' => esc_html__( 'You can enter a video URL for video format.', 'cloux' ),
                'id' => 'video-embed',
                'type' => 'oembed',
                'tab' => 'media',
            ),
            array(
                'name' => esc_html__( 'Audio', 'cloux' ),
                'desc' => esc_html__( 'You can enter HTML codes for audio format.', 'cloux' ),
                'id' => 'audio-html',
                'type' => 'textarea',
                'tab' => 'media',
            ),

            /*====== Content ======*/
            array(
                'name' => esc_html__( 'Related Games', 'cloux' ),
                'placeholder' => esc_html__( 'Related Games', 'cloux' ),
                'desc' => esc_html__( 'You can choose games related to this post.', 'cloux' ),
                'id' => 'releated-games',
                'type' => 'post',
                'field_type' => 'select_advanced',
                'post_type' => 'game',
                'multiple' => true,
                'tab' => 'content',
                'query_args' => array(
                    'post_status' => 'publish',
                    'posts_per_page' => - 1,
                ),
            ),

            /*====== Review ======*/
            array(
                'name' => esc_html__( 'Review', 'cloux' ),
                'desc' => esc_html__( 'You choose the review status from this post.', 'cloux' ),
                'id' => 'review-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'review',
            ),
            array(
                'name' => esc_html__( 'Review', 'cloux' ),
                'desc' => esc_html__( 'You can create a review list.', 'cloux' ),
                'id' => 'review',
                'tab' => 'review',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'review-title' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Title', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                        'id' => 'review-title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                        'id' => 'review-text',
                        'type' => 'textarea',
                    ),
                    array(
                        'name' => esc_html__( 'Total Score', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a total score. For example: 7.2', 'cloux' ),
                        'id' => 'review-score',
                        'type' => 'text',
                    ),
                    array(
                        'id' => 'items',
                        'type' => 'group',
                        'sort_clone' => true,
                        'clone' => true,
                        'collapsible' => true,
                        'clone_default' => true,
                        'default_state' => 'collapsed',
                        'save_state' => true,
                        'group_title' => array( 'field' => 'title' ),
                        'fields' => array(
                            array(
                                'name' => esc_html__( 'Title', 'cloux' ),
                                'id' => 'title',
                                'type' => 'text',
                                'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                            ),
                            array(
                                'name' => esc_html__( 'Style Type', 'cloux' ),
                                'id' => 'style-type',
                                'type' => 'radio',
                                'std' => 'progress-bar',
                                'options' => array(
                                    'progress-bar' => esc_html__( 'Progress Bar', 'cloux' ),
                                    'star' => esc_html__( 'Star', 'cloux' ),
                                ),
                                'desc' => esc_html__( 'You can choose a style.', 'cloux' ),
                            ),
                            array(
                                'name' => esc_html__( 'Score Type', 'cloux' ),
                                'placeholder' => esc_html__( 'Score Type', 'cloux' ),
                                'id' => 'score-type',
                                'type' => 'select',
                                'options' => array(
                                    'score-100' => esc_html__( 'Scoring Over 100', 'cloux' ),
                                    'score-10' => esc_html__( 'Scoring Over 10', 'cloux' ),
                                    'score-5' => esc_html__( 'Scoring Over 5', 'cloux' ),
                                ),
                                'desc' => esc_html__( 'You can choose a score type. If you use star type, you should choose scoring over 5 or 10.', 'cloux' ),
                            ),
                            array(
                                'name' => esc_html__( 'Score', 'cloux' ),
                                'id' => 'score',
                                'type' => 'text',
                                'desc' => esc_html__( 'You can enter a score. For example: 90, 50 or 5', 'cloux' ),
                            ),
                        ),
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'Analysis', 'cloux' ),
                'desc' => esc_html__( 'You choose the analysis status from this post.', 'cloux' ),
                'id' => 'analysis-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'review',
            ),
            array(
                'name' => esc_html__( 'Analysis', 'cloux' ),
                'desc' => esc_html__( 'You can create a analysis. This is a comparison table, for example The Good vs. The Bad.', 'cloux' ),
                'id' => 'analysis',
                'tab' => 'review',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'title' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Title', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                        'id' => 'title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                        'id' => 'text',
                        'type' => 'textarea',
                    ),
                    array(
                        'name' => esc_html__( 'Column', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a column.', 'cloux' ),
                        'id' => 'column',
                        'type' => 'select',
                                'placeholder' => esc_html__( 'Column', 'cloux' ),
                        'options' => array(
                            'column-1' => esc_html__( '1', 'cloux' ),
                            'column-2' => esc_html__( '2', 'cloux' ),
                            'column-3' => esc_html__( '3', 'cloux' ),
                        ),
                    ),
                    array(
                        'id' => 'analysis-items',
                        'type' => 'group',
                        'sort_clone' => true,
                        'clone' => true,
                        'collapsible' => true,
                        'clone_default' => true,
                        'default_state' => 'collapsed',
                        'save_state' => true,
                        'group_title' => array( 'field' => 'title' ),
                        'fields' => array(
                            array(
                                'name' => esc_html__( 'Title', 'cloux' ),
                                'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                                'id' => 'title',
                                'type' => 'text',
                            ),
                            array(
                                'id' => 'items',
                                'type' => 'group',
                                'sort_clone' => true,
                                'clone' => true,
                                'collapsible' => true,
                                'clone_default' => true,
                                'default_state' => 'collapsed',
                                'save_state' => true,
                                'group_title' => array( 'field' => 'text' ),
                                'fields' => array(
                                    array(
                                        'name' => esc_html__( 'Text', 'cloux' ),
                                        'id' => 'text',
                                        'type' => 'text',
                                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                                    ),
                                    array(
                                        'name' => esc_html__( 'Icon Color', 'cloux' ),
                                        'id' => 'icon-color',
                                        'type' => 'color',
                                        'desc' => esc_html__( 'You can choose a custom color.', 'cloux' ),
                                    ),
                                    array(
                                        'name' => esc_html__( 'Icon', 'cloux' ),
                                        'id' => 'icon',
                                        'type' => 'text',
                                        'desc' => esc_html__( 'You can enter a icon name. List of icons is exist in documentation file. Example: edge, automobile, bel-o.', 'cloux' ),
                                    ),
                                ),
                            ),
                        ),
                    ),
                ),
            ),
        )
    );



    /*======
    *
    * Page Meta Boxes
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'page-settings',
        'title' => esc_html__( 'Page Settings', 'cloux' ),
        'post_types' => 'page',
        'context' => 'normal',
        'priority' => 'high',
        'tab_wrapper' => false,

        /*====== Fields ======*/
        'fields' => array(

            /*====== Design ======*/
            array(
                'name' => esc_html__( 'Hide Featured Image', 'cloux' ),
                'desc' => esc_html__( 'You can hide the featured image from the featured content.', 'cloux' ),
                'id' => 'hide-featured-content',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Layout Style', 'cloux' ),
                'desc' => esc_html__( 'You can choose a layout style.', 'cloux' ),
                'id' => 'layout-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/layout-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/layout-style/style-2.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Hide Social Share', 'cloux' ),
                'desc' => esc_html__( 'You can hide social share.', 'cloux' ),
                'id' => 'hide-social-share',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Hide Header', 'cloux' ),
                'desc' => esc_html__( 'You can hide the header.', 'cloux' ),
                'id' => 'hide-header',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Header Style', 'cloux' ),
                'desc' => esc_html__( 'You can choose a header style.', 'cloux' ),
                'id' => 'header-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-2.svg',
                    'style-3' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-3.svg',
                    'style-4' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-4.svg',
                    'style-5' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-5.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Header Position', 'cloux' ),
                'desc' => esc_html__( 'You can choose a header position.', 'cloux' ),
                'id' => 'header-position',
                'type' => 'image_select',
                'options'  => array(
                    'position-1' => get_template_directory_uri() . '/include/customize/assets/img/header-position/position-1.svg',
                    'position-2' => get_template_directory_uri() . '/include/customize/assets/img/header-position/position-2.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Page Banner', 'cloux' ),
                'desc' => esc_html__( 'You can hide page banner (Title, breadcrumb etc.).', 'cloux' ),
                'id' => 'hide-page-banner',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Page Banner Background', 'cloux' ),
                'desc' => esc_html__( 'You can upload a background image for page banner. Recommended: 1920x450', 'cloux' ),
                'id' => 'hide-page-banner-image',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Header Gap', 'cloux' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the header.', 'cloux' ),
                'id' => 'hide-header-gap',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Footer', 'cloux' ),
                'desc' => esc_html__( 'You can hide the footer.', 'cloux' ),
                'id' => 'hide-footer',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Footer Style', 'cloux' ),
                'desc' => esc_html__( 'You can choose a footer style.', 'cloux' ),
                'id' => 'footer-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/footer-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/footer-style/style-2.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Hide Footer Gap', 'cloux' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the footer.', 'cloux' ),
                'id' => 'hide-footer-gap',
                'type' => 'checkbox',
                'std' => 0,
            ),
            array(
                'name' => esc_html__( 'Sidebar Position', 'cloux' ),
                'desc' => esc_html__( 'You can choose a sidebar position.', 'cloux' ),
                'id' => 'sidebar-position',
                'type' => 'image_select',
                'options'  => array(
                    'right-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/right-sidebar.svg',
                    'left-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/left-sidebar.svg',
                    'no-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/no-sidebar.svg',
                ),
            ),
            array(
                'name' => esc_html__( 'Sidebar', 'cloux' ),
                'desc' => esc_html__( 'You can choose a sidebar for this page.', 'cloux' ),
                'id' => 'sidebar',
                'type' => 'sidebar',
                'tab' => 'design',
            ),
        ),
    );



    /*======
    *
    * Game Meta Boxes
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'game-details',
        'title' => esc_html__( 'Game Details', 'cloux' ),
        'post_types' => 'game',
        'context' => 'normal',
        'priority' => 'high',
        'tabs' => array(
            'design' => array(
                'label' => esc_html__( 'Layouts & Design', 'cloux' ),
                'icon' => 'dashicons-admin-customizer',
            ),
            'media' => array(
                'label' => esc_html__( 'Media', 'cloux' ),
                'icon' => 'dashicons-admin-collapse',
            ),
            'content' => array(
                'label' => esc_html__( 'Content', 'cloux' ),
                'icon' => 'dashicons-admin-page',
            ),
            'network' => array(
                'label' => esc_html__( 'Network', 'cloux' ),
                'icon' => 'dashicons-networking',
            ),
            'sales' => array(
                'label' => esc_html__( 'Game Sales', 'cloux' ),
                'icon' => 'dashicons-cart',
            ),
            'review' => array(
                'label' => esc_html__( 'Review', 'cloux' ),
                'icon' => 'dashicons-clipboard',
            ),
        ),
        'tab_style' => 'left',
        'tab_wrapper' => true,

        /*====== Fields ======*/
        'fields' => array(

            /*====== Design ======*/
            array(
                'name' => esc_html__( 'Hide Header', 'cloux' ),
                'desc' => esc_html__( 'You can hide the header.', 'cloux' ),
                'id' => 'hide-header',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Header Style', 'cloux' ),
                'desc' => esc_html__( 'You can choose a header style.', 'cloux' ),
                'id' => 'header-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-2.svg',
                    'style-3' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-3.svg',
                    'style-4' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-4.svg',
                    'style-5' => get_template_directory_uri() . '/include/customize/assets/img/header-style/style-5.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Header Position', 'cloux' ),
                'desc' => esc_html__( 'You can choose a header position.', 'cloux' ),
                'id' => 'header-position',
                'type' => 'image_select',
                'options'  => array(
                    'position-1' => get_template_directory_uri() . '/include/customize/assets/img/header-position/position-1.svg',
                    'position-2' => get_template_directory_uri() . '/include/customize/assets/img/header-position/position-2.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Page Banner', 'cloux' ),
                'desc' => esc_html__( 'You can hide page banner (Title, breadcrumb etc.).', 'cloux' ),
                'id' => 'hide-page-banner',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Page Banner Background', 'cloux' ),
                'desc' => esc_html__( 'You can upload a background image for page banner. Recommended: 1920x450', 'cloux' ),
                'id' => 'hide-page-banner-image',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Footer', 'cloux' ),
                'desc' => esc_html__( 'You can hide the footer.', 'cloux' ),
                'id' => 'hide-footer',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Footer Style', 'cloux' ),
                'desc' => esc_html__( 'You can choose a footer style.', 'cloux' ),
                'id' => 'footer-style',
                'type' => 'image_select',
                'options'  => array(
                    'style-1' => get_template_directory_uri() . '/include/customize/assets/img/footer-style/style-1.svg',
                    'style-2' => get_template_directory_uri() . '/include/customize/assets/img/footer-style/style-2.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Hide Footer Gap', 'cloux' ),
                'desc' => esc_html__( 'You can hide the gap between the content and the footer.', 'cloux' ),
                'id' => 'hide-footer-gap',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Sidebar Position', 'cloux' ),
                'desc' => esc_html__( 'You can choose a sidebar position.', 'cloux' ),
                'id' => 'sidebar-position',
                'type' => 'image_select',
                'options'  => array(
                    'right-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/right-sidebar.svg',
                    'left-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/left-sidebar.svg',
                    'no-sidebar' => get_template_directory_uri() . '/include/customize/assets/img/sidebar/no-sidebar.svg',
                ),
                'tab' => 'design',
            ),
            array(
                'name' => esc_html__( 'Sidebar', 'cloux' ),
                'desc' => esc_html__( 'You can choose a sidebar for this page.', 'cloux' ),
                'id' => 'sidebar',
                'type' => 'sidebar',
                'tab' => 'design',
            ),

            /*====== Media ======*/
            array(
                'name' => esc_html__( 'Hide Image & Video Gallery', 'cloux' ),
                'desc' => esc_html__( 'You can hide the image and video gallery.', 'cloux' ),
                'id' => 'hide-media-gallery',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'media',
            ),
            array(
                'name' => esc_html__( 'Image Gallery Type', 'cloux' ),
                'desc' => esc_html__( 'You can choose a style for image gallery.', 'cloux' ),
                'id' => 'image-gallery-type',
                'type' => 'radio',
                'tab' => 'media',
                'std' => 'carousel',
                'options' => array(
                    'carousel' => esc_html__( 'Carousel', 'cloux' ),
                    'slider' => esc_html__( 'Slider', 'cloux' ),
                    'grid' => esc_html__( 'Grid', 'cloux' ),
                ),
            ),
            array(
                'name' => esc_html__( 'Hide Image Gallery', 'cloux' ),
                'desc' => esc_html__( 'You can hide the image gallery.', 'cloux' ),
                'id' => 'hide-image-gallery',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'media',
            ),
            array(
                'name' => esc_html__( 'Image Gallery for Gallery', 'cloux' ),
                'desc' => esc_html__( 'You can create a gallery for gallery post format.', 'cloux' ),
                'id' => 'image-gallery',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'tab' => 'media',
                'image_size' => 'thumbnail',
            ),
            array(
                'name' => esc_html__( 'Hide Video Gallery', 'cloux' ),
                'desc' => esc_html__( 'You can hide the video gallery.', 'cloux' ),
                'id' => 'hide-video-gallery',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'media',
            ),
            array(
                'name' => esc_html__( 'Video Gallery', 'cloux' ),
                'desc' => esc_html__( 'You can create a video gallery.', 'cloux' ),
                'id' => 'video-gallery',
                'tab' => 'media',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'title' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Title', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                        'id' => 'title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                        'id' => 'text',
                        'type' => 'textarea',
                    ),
                    array(
                        'name' => esc_html__( 'Video URL', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a video URL. Details: https://codex.wordpress.org/Embeds', 'cloux' ),
                        'id' => 'embed',
                        'type' => 'oembed',
                    ),
                    array(
                        'name' => esc_html__( 'Thumbnail Image', 'cloux' ),
                        'desc' => esc_html__( 'You can upload a thumbnail image.', 'cloux' ),
                        'id' => 'thumbnail-image',
                        'type' => 'image_advanced',
                        'force_delete' => false,
                        'max_status' => 'false',
                        'image_size' => 'thumbnail',
                        'max_file_uploads' => 1,
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'Game Poster', 'cloux' ),
                'desc' => esc_html__( 'You can upload a poster image.', 'cloux' ),
                'id' => 'game-poster',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'tab' => 'media',
            ),
            array(
                'name' => esc_html__( 'Slider Image', 'cloux' ),
                'desc' => esc_html__( 'You can upload a slider image for page builder elements. Recommended: 1950x950', 'cloux' ),
                'id' => 'game-slider-image',
                'type' => 'image_advanced',
                'force_delete' => false,
                'max_status' => 'false',
                'image_size' => 'thumbnail',
                'max_file_uploads' => 1,
                'tab' => 'media',
            ),
            array(
                'name' => esc_html__( 'Game Poster Description', 'cloux' ),
                'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                'id' => 'poster-description',
                'type' => 'wysiwyg',
                'tab' => 'media',
            ),

            /*====== Content ======*/
            array(
                'name' => esc_html__( 'Game Details', 'cloux' ),
                'desc' => esc_html__( 'You choose status of the game detail box.', 'cloux' ),
                'id' => 'game-details-status',
                'type' => 'checkbox',
                'std' => 1,
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'Release Date', 'cloux' ),
                'desc' => esc_html__( 'You can enter a release date.', 'cloux' ),
                'id' => 'release-date',
                'type' => 'date',
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'Publishers', 'cloux' ),
                'desc' => esc_html__( 'You can choose publishers.', 'cloux' ),
                'id' => 'game-publishers',
                'taxonomy' => 'company',
                'type' => 'taxonomy_advanced',
                'field_type' => 'select_advanced',
                'multiple' => true,
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'Developers', 'cloux' ),
                'desc' => esc_html__( 'You can choose developers.', 'cloux' ),
                'id' => 'game-developers',
                'taxonomy' => 'company',
                'type' => 'taxonomy_advanced',
                'field_type' => 'select_advanced',
                'multiple' => true,
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'Languages', 'cloux' ),
                'desc' => esc_html__( 'You choose the language box status.', 'cloux' ),
                'id' => 'game-languages-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'Languages List', 'cloux' ),
                'desc' => esc_html__( 'You can create a language table.', 'cloux' ),
                'id' => 'game-languages',
                'tab' => 'content',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'language-name' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Language', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a language.', 'cloux' ),
                        'id' => 'language-name',
                        'taxonomy' => 'language',
                        'type' => 'taxonomy',
                        'field_type' => 'select_advanced',
                    ),
                    array(
                        'name' => esc_html__( 'Interface', 'cloux' ),
                        'desc' => esc_html__( 'You can language status for interface.', 'cloux' ),
                        'id' => 'interface',
                        'type' => 'select_advanced',
                        'std' => 'true',
                        'options' => array(
                            'true' => esc_html__( 'True', 'cloux' ),
                            'false' => esc_html__( 'False', 'cloux' ),
                        ),
                    ),
                    array(
                        'name' => esc_html__( 'Audio', 'cloux' ),
                        'desc' => esc_html__( 'You can language status for audio.', 'cloux' ),
                        'id' => 'audio',
                        'type' => 'select_advanced',
                        'std' => 'true',
                        'options' => array(
                            'true' => esc_html__( 'True', 'cloux' ),
                            'false' => esc_html__( 'False', 'cloux' ),
                        ),
                    ),
                    array(
                        'name' => esc_html__( 'Subtitles', 'cloux' ),
                        'desc' => esc_html__( 'You can language status for subtitles.', 'cloux' ),
                        'id' => 'subtitles',
                        'type' => 'select_advanced',
                        'std' => 'true',
                        'options' => array(
                            'true' => esc_html__( 'True', 'cloux' ),
                            'false' => esc_html__( 'False', 'cloux' ),
                        ),
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'Image Information', 'cloux' ),
                'desc' => esc_html__( 'You choose the image information box status.', 'cloux' ),
                'id' => 'game-image-information-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'Image Information List', 'cloux' ),
                'desc' => esc_html__( 'You can create image a information list.', 'cloux' ),
                'id' => 'game-image-information',
                'tab' => 'content',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Image', 'cloux' ),
                        'desc' => esc_html__( 'You can upload a image.', 'cloux' ),
                        'id' => 'image',
                        'type' => 'image_advanced',
                        'force_delete' => false,
                        'max_status' => 'false',
                        'image_size' => 'thumbnail',
                        'max_file_uploads' => 1,
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                        'id' => 'text',
                        'type' => 'wysiwyg',
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'Content Boxes', 'cloux' ),
                'desc' => esc_html__( 'You choose the extra content boxes status.', 'cloux' ),
                'id' => 'game-content-boxes-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'Content Box List', 'cloux' ),
                'desc' => esc_html__( 'You can create unlimited image content boxes.', 'cloux' ),
                'id' => 'game-content-boxes',
                'tab' => 'content',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'title' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Title', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                        'id' => 'title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                        'id' => 'text',
                        'type' => 'wysiwyg',
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'Extra Sidebar Boxes', 'cloux' ),
                'desc' => esc_html__( 'You choose the extra sidebar boxes status.', 'cloux' ),
                'id' => 'game-sidebar-boxes-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'Extra Sidebar Boxes List', 'cloux' ),
                'desc' => esc_html__( 'You can create image unlimited sidebar boxes.', 'cloux' ),
                'id' => 'game-sidebar-boxes',
                'tab' => 'content',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'title' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Title', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                        'id' => 'title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                        'id' => 'text',
                        'type' => 'wysiwyg',
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'Game Reviews', 'cloux' ),
                'desc' => esc_html__( 'You choose the game reviews status.', 'cloux' ),
                'id' => 'game-review-list-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'Game Reviews List', 'cloux' ),
                'desc' => esc_html__( 'You can create game review list.', 'cloux' ),
                'id' => 'game-review-list',
                'tab' => 'content',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'title' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Background Image', 'cloux' ),
                        'desc' => esc_html__( 'You can upload a background image.', 'cloux' ),
                        'id' => 'bg-image',
                        'type' => 'image_advanced',
                        'force_delete' => false,
                        'max_status' => 'false',
                        'image_size' => 'thumbnail',
                        'max_file_uploads' => 1,
                    ),
                    array(
                        'name' => esc_html__( 'Title', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                        'id' => 'title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Description', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a description text.', 'cloux' ),
                        'id' => 'text',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Point', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a point. Example: 60 or 6.5', 'cloux' ),
                        'id' => 'point',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Link', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a link.', 'cloux' ),
                        'id' => 'link',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Target', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a target type.', 'cloux' ),
                        'id' => 'target',
                        'type' => 'select_advanced',
                        'std' => '_self',
                        'options' => array(
                            '_self' => esc_html__( 'Self', 'cloux' ),
                            '_blank' => esc_html__( 'Blank', 'cloux' ),
                        ),
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'System Requirements', 'cloux' ),
                'desc' => esc_html__( 'You choose the system requirements status.', 'cloux' ),
                'id' => 'game-system-requirements-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'content',
            ),
            array(
                'name' => esc_html__( 'System Requirements List', 'cloux' ),
                'desc' => esc_html__( 'You can create system requirements list.', 'cloux' ),
                'id' => 'game-system-requirements',
                'tab' => 'content',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'os-name' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'OS', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a OS.', 'cloux' ),
                        'id' => 'os-name',
                        'taxonomy' => 'os',
                        'type' => 'taxonomy',
                        'field_type' => 'select_advanced',
                    ),
                    array(
                        'name' => esc_html__( 'List', 'cloux' ),
                        'id' => 'items',
                        'type' => 'group',
                        'sort_clone' => true,
                        'clone' => true,
                        'collapsible' => true,
                        'clone_default' => true,
                        'default_state' => 'collapsed',
                        'save_state' => true,
                        'group_title' => array( 'field' => 'title' ),
                        'fields' => array(
                            array(
                                'name' => esc_html__( 'Title', 'cloux' ),
                                'id' => 'title',
                                'type' => 'text',
                                'desc' => esc_html__( 'You can enter a title. For example: Minimum', 'cloux' ),
                            ),
                            array(
                                'name' => esc_html__( 'List', 'cloux' ),
                                'id' => 'items',
                                'type' => 'group',
                                'sort_clone' => true,
                                'clone' => true,
                                'collapsible' => true,
                                'clone_default' => true,
                                'default_state' => 'collapsed',
                                'save_state' => true,
                                'group_title' => array( 'field' => 'title' ),
                                'fields' => array(
                                    array(
                                        'name' => esc_html__( 'Title', 'cloux' ),
                                        'id' => 'title',
                                        'type' => 'text',
                                        'desc' => esc_html__( 'You can enter a title. For example: Memory', 'cloux' ),
                                    ),
                                    array(
                                        'name' => esc_html__( 'Text', 'cloux' ),
                                        'id' => 'text',
                                        'type' => 'wysiwyg',
                                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                                    ),
                                    array(
                                        'name' => esc_html__( 'Style', 'cloux' ),
                                        'desc' => esc_html__( 'You can choose a style.', 'cloux' ),
                                        'id' => 'style',
                                        'type' => 'select_advanced',
                                        'std' => 'inline',
                                        'options' => array(
                                            'inline' => esc_html__( 'Inline', 'cloux' ),
                                            'block' => esc_html__( 'Block', 'cloux' ),
                                        ),
                                    ),
                                ),
                            ),
                        ),
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'Copyright Text', 'cloux' ),
                'desc' => esc_html__( 'You can enter a copyright text.', 'cloux' ),
                'id' => 'copyright-text',
                'type' => 'wysiwyg',
                'tab' => 'content',
            ),

            /*====== Network ======*/
            array(
                'name' => esc_html__( 'Facebook', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Facebook URL.', 'cloux' ),
                'id' => 'game-facebook-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Twitter', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Twitter URL.', 'cloux' ),
                'id' => 'game-twitter-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Google+', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Google+ URL.', 'cloux' ),
                'id' => 'game-google-plus-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Pinterest', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Pinterest URL.', 'cloux' ),
                'id' => 'game-pinterest-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'LinkedIn', 'cloux' ),
                'desc' => esc_html__( 'You can enter a LinkedIn URL.', 'cloux' ),
                'id' => 'game-linkedin-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'YouTube', 'cloux' ),
                'desc' => esc_html__( 'You can enter a YouTube URL.', 'cloux' ),
                'id' => 'game-youtube-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Vimeo', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Vimeo URL.', 'cloux' ),
                'id' => 'game-vimeo-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Tumblr', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Tumblr URL.', 'cloux' ),
                'id' => 'game-tumblr-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Instagram', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Instagram URL.', 'cloux' ),
                'id' => 'game-instagram-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Flickr', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Flickr URL.', 'cloux' ),
                'id' => 'game-flickr-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Dribbble', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Dribbble URL.', 'cloux' ),
                'id' => 'game-dribbble-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Reddit', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Reddit URL.', 'cloux' ),
                'id' => 'game-reddit-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'SoundCloud', 'cloux' ),
                'desc' => esc_html__( 'You can enter a SoundCloud URL.', 'cloux' ),
                'id' => 'game-soundcloud-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Spotify', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Spotify URL.', 'cloux' ),
                'id' => 'game-spotify-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Yahoo', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Yahoo URL.', 'cloux' ),
                'id' => 'game-yahoo-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Behance', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Behance URL.', 'cloux' ),
                'id' => 'game-behance-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'CodePen', 'cloux' ),
                'desc' => esc_html__( 'You can enter a CodePen URL.', 'cloux' ),
                'id' => 'game-codepen-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Delicious', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Delicious URL.', 'cloux' ),
                'id' => 'game-delicious-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'StumbleUpon', 'cloux' ),
                'desc' => esc_html__( 'You can enter a StumbleUpon URL.', 'cloux' ),
                'id' => 'game-stumbleupon-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'DeviantArt', 'cloux' ),
                'desc' => esc_html__( 'You can enter a DeviantArt URL.', 'cloux' ),
                'id' => 'game-deviantart-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Digg', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Digg URL.', 'cloux' ),
                'id' => 'game-digg-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'GitHub', 'cloux' ),
                'desc' => esc_html__( 'You can enter a GitHub URL.', 'cloux' ),
                'id' => 'game-github-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Medium', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Medium URL.', 'cloux' ),
                'id' => 'game-medium-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Steam', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Steam URL.', 'cloux' ),
                'id' => 'game-steam-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'VK', 'cloux' ),
                'desc' => esc_html__( 'You can enter a VK URL.', 'cloux' ),
                'id' => 'game-vk-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( '500px', 'cloux' ),
                'desc' => esc_html__( 'You can enter a 500px URL.', 'cloux' ),
                'id' => 'game-500px-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Foursquare', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Foursquare URL.', 'cloux' ),
                'id' => 'game-foursquare-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Slack', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Slack URL.', 'cloux' ),
                'id' => 'game-slack-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'WhatsApp', 'cloux' ),
                'desc' => esc_html__( 'You can enter a WhatsApp URL.', 'cloux' ),
                'id' => 'game-whatsapp-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Skype', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Skype URL.', 'cloux' ),
                'id' => 'game-skype-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Twitch', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Twitch URL.', 'cloux' ),
                'id' => 'game-twitch-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'PayPal', 'cloux' ),
                'desc' => esc_html__( 'You can enter a PayPal URL.', 'cloux' ),
                'id' => 'game-paypal-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Official Site', 'cloux' ),
                'desc' => esc_html__( 'You can enter a official site URL.', 'cloux' ),
                'id' => 'game-official-site-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Custom Site', 'cloux' ),
                'desc' => esc_html__( 'You can enter a custom site URL.', 'cloux' ),
                'id' => 'game-custom-site-url',
                'type' => 'text',
                'tab' => 'network',
            ),

            /*====== Sales ======*/
            array(
                'name' => esc_html__( 'Prices', 'cloux' ),
                'desc' => esc_html__( 'You choose status of the price list.', 'cloux' ),
                'id' => 'price-list-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'sales',
            ),
            array(
                'name' => esc_html__( 'Main Price', 'cloux' ),
                'desc' => esc_html__( 'You can enter main price for game listing elements.', 'cloux' ),
                'id' => 'game-main-price',
                'type' => 'text',
                'tab' => 'sales',
            ),
            array(
                'name' => esc_html__( 'Main Price Currency', 'cloux' ),
                'desc' => esc_html__( 'You can enter currency of main price for game listing elements. Example: $', 'cloux' ),
                'id' => 'game-main-price-currency',
                'type' => 'text',
                'tab' => 'sales',
            ),
            array(
                'name' => esc_html__( 'Price List', 'cloux' ),
                'desc' => esc_html__( 'You can create a price list.', 'cloux' ),
                'id' => 'game-price-list',
                'tab' => 'sales',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'title' ),
                'fields' => array(
                    array(
                        'type' => 'heading',
                        'name' => esc_html__( 'General', 'cloux' ),
                        'desc' => esc_html__( 'You can edit general settings.', 'cloux' ),
                    ),
                    array(
                        'name' => esc_html__( 'Title', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                        'id' => 'title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Type', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a type.', 'cloux' ),
                        'id' => 'sales-type',
                        'type' => 'radio',
                        'std' => 'woocommerce',
                        'options' => array(
                            'woocommerce' => esc_html__( 'WooCommerce', 'cloux' ),
                            'external-link' => esc_html__( 'External Link', 'cloux' ),
                            'contact-form' => esc_html__( 'Contact Form', 'cloux' ),
                        ),
                    ),
                    array(
                        'name' => esc_html__( 'WooCommerce Product', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a WooCommerce product.', 'cloux' ),
                        'id' => 'woocommerce-product',
                        'post_type' => 'product',
                        'type' => 'post',
                        'field_type' => 'select_advanced',
                        'visible' => array( 'sales-type', '=', array( 'woocommerce' ) ),
                    ),
                    array(
                        'name' => esc_html__( 'Platform', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a platform.', 'cloux' ),
                        'id' => 'platform',
                        'taxonomy' => 'platform',
                        'type' => 'taxonomy',
                        'field_type' => 'select_advanced',
                        'multiple' => true,
                    ),
                    array(
                        'name' => esc_html__( 'Price', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a price.', 'cloux' ),
                        'id' => 'price',
                        'type' => 'text',
                        'hidden' => array( 'sales-type', '=', array( 'woocommerce' ) ),
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a description text.', 'cloux' ),
                        'id' => 'text',
                        'type' => 'wysiwyg',
                    ),
                    array(
                        'type' => 'heading',
                        'name' => esc_html__( 'Purchase Button', 'cloux' ),
                        'desc' => esc_html__( 'You can edit purchase button.', 'cloux' ),
                    ),
                    array(
                        'name' => esc_html__( 'Purchase Button Target', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a target type.', 'cloux' ),
                        'id' => 'button-target',
                        'type' => 'select_advanced',
                        'std' => 'self',
                        'options' => array(
                            '_self' => esc_html__( 'Self', 'cloux' ),
                            '_blank' => esc_html__( 'Blank', 'cloux' ),
                        ),
                        'visible' => array( 'sales-type', '=', array( 'external-link' ) ),
                    ),
                    array(
                        'name' => esc_html__( 'Purchase Button Link', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a button link.', 'cloux' ),
                        'id' => 'button-link',
                        'type' => 'text',
                        'visible' => array( 'sales-type', '=', array( 'external-link' ) ),
                    ),
                    array(
                        'name' => esc_html__( 'Purchase Button Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a button text. Default: Buy Now', 'cloux' ),
                        'id' => 'button-text',
                        'type' => 'text',
                        'visible' => array( 'sales-type', 'in', array( 'woocommerce', 'external-link', 'contact-form' ) ),
                    ),
                    array(
                        'type' => 'heading',
                        'name' => esc_html__( 'Details Button', 'cloux' ),
                        'desc' => esc_html__( 'You can edit details button.', 'cloux' ),
                    ),
                    array(
                        'name' => esc_html__( 'Details Button Type', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a type for details button', 'cloux' ),
                        'id' => 'details-button-type',
                        'type' => 'select_advanced',
                        'std' => 'self',
                        'options' => array(
                            'popup' => esc_html__( 'Popup', 'cloux' ),
                            'blank-link' => esc_html__( 'Blank Link', 'cloux' ),
                            'self-link' => esc_html__( 'Self Link', 'cloux' ),
                        ),
                    ),
                    array(
                        'name' => esc_html__( 'Details Button Link', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a link for details button.', 'cloux' ),
                        'id' => 'details-button-link',
                        'type' => 'text',
                        'visible' => array( 'details-button-type', 'in', array( 'blank-link', 'self-link' ) ),
                    ),
                    array(
                        'name' => esc_html__( 'Details Button Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a text for details button. Default: Details', 'cloux' ),
                        'id' => 'details-button-text',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Content for Popup Details', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a description text for popup details.', 'cloux' ),
                        'id' => 'details-popup-content',
                        'type' => 'wysiwyg',
                    ),
                    array(
                        'type' => 'heading',
                        'name' => esc_html__( 'Contact Form', 'cloux' ),
                        'desc' => esc_html__( 'You can edit contact form settings.', 'cloux' ),
                        'visible' => array( 'sales-type', '=', array( 'contact-form' ) ),
                    ),
                    array(
                        'name' => esc_html__( 'Contact Form', 'cloux' ),
                        'desc' => esc_html__( "You can enter a contact form shortcode. If you can't choose a contact form, you can use default contact form. You can change default contact form from Customize panel.", 'cloux' ),
                        'id' => 'contact-form',
                        'type' => 'text',
                        'visible' => array( 'sales-type', '=', array( 'contact-form' ) ),
                    ),
                    array(
                        'name' => esc_html__( 'Working Style', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a working style for contact form.', 'cloux' ),
                        'id' => 'working-style',
                        'type' => 'select_advanced',
                        'std' => 'style-1',
                        'options' => array(
                            'style-1' => esc_html__( 'Open After Click the Purchase Button', 'cloux' ),
                            'style-2' => esc_html__( 'Open as Automatic', 'cloux' ),
                        ),
                        'visible' => array( 'sales-type', '=', array( 'contact-form' ) ),
                    ),
                    array(
                        'type' => 'heading',
                        'name' => esc_html__( 'Media', 'cloux' ),
                        'desc' => esc_html__( 'You can edit media settings.', 'cloux' ),
                    ),
                    array(
                        'name' => esc_html__( 'Images', 'cloux' ),
                        'desc' => esc_html__( 'You can create a gallery.', 'cloux' ),
                        'id' => 'image-gallery',
                        'type' => 'image_advanced',
                        'force_delete' => false,
                        'max_status' => 'false',
                        'image_size' => 'thumbnail',
                    ),
                    array(
                        'name' => esc_html__( 'Background Image', 'cloux' ),
                        'desc' => esc_html__( 'You can upload a background image.', 'cloux' ),
                        'id' => 'bg-image',
                        'type' => 'image_advanced',
                        'force_delete' => false,
                        'max_status' => 'false',
                        'image_size' => 'thumbnail',
                        'max_file_uploads' => 1,
                    ),
                ),
            ),

            /*====== Review ======*/
            array(
                'name' => esc_html__( 'Review', 'cloux' ),
                'desc' => esc_html__( 'You choose the review status from this post.', 'cloux' ),
                'id' => 'review-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'review',
            ),
            array(
                'name' => esc_html__( 'Review', 'cloux' ),
                'desc' => esc_html__( 'You can create a review list.', 'cloux' ),
                'id' => 'review',
                'tab' => 'review',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'review-title' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Title', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                        'id' => 'review-title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                        'id' => 'review-text',
                        'type' => 'textarea',
                    ),
                    array(
                        'name' => esc_html__( 'Total Score', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a total score. For example: 7.2', 'cloux' ),
                        'id' => 'review-score',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'List', 'cloux' ),
                        'id' => 'items',
                        'type' => 'group',
                        'sort_clone' => true,
                        'clone' => true,
                        'collapsible' => true,
                        'clone_default' => true,
                        'default_state' => 'collapsed',
                        'save_state' => true,
                        'group_title' => array( 'field' => 'title' ),
                        'fields' => array(
                            array(
                                'name' => esc_html__( 'Title', 'cloux' ),
                                'id' => 'title',
                                'type' => 'text',
                                'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                            ),
                            array(
                                'name' => esc_html__( 'Style Type', 'cloux' ),
                                'id' => 'style-type',
                                'type' => 'radio',
                                'std' => 'progress-bar',
                                'options' => array(
                                    'progress-bar' => esc_html__( 'Progress Bar', 'cloux' ),
                                    'star' => esc_html__( 'Star', 'cloux' ),
                                ),
                                'desc' => esc_html__( 'You can choose a style.', 'cloux' ),
                            ),
                            array(
                                'name' => esc_html__( 'Score Type', 'cloux' ),
                                'placeholder' => esc_html__( 'Score Type', 'cloux' ),
                                'id' => 'score-type',
                                'type' => 'select',
                                'options' => array(
                                    'score-100' => esc_html__( 'Scoring Over 100', 'cloux' ),
                                    'score-10' => esc_html__( 'Scoring Over 10', 'cloux' ),
                                    'score-5' => esc_html__( 'Scoring Over 5', 'cloux' ),
                                ),
                                'desc' => esc_html__( 'You can choose a score type. If you use star type, you should choose scoring over 5 or 10.', 'cloux' ),
                            ),
                            array(
                                'name' => esc_html__( 'Score', 'cloux' ),
                                'id' => 'score',
                                'type' => 'text',
                                'desc' => esc_html__( 'You can enter a score. For example: 90, 50 or 5', 'cloux' ),
                            ),
                        ),
                    ),
                ),
            ),
            array(
                'name' => esc_html__( 'Analysis', 'cloux' ),
                'desc' => esc_html__( 'You choose the analysis status from this post.', 'cloux' ),
                'id' => 'analysis-status',
                'type' => 'checkbox',
                'std' => 0,
                'tab' => 'review',
            ),
            array(
                'name' => esc_html__( 'Analysis', 'cloux' ),
                'desc' => esc_html__( 'You can create a analysis. This is a comparison table, for example The Good vs. The Bad.', 'cloux' ),
                'id' => 'analysis',
                'tab' => 'review',
                'type' => 'group',
                'sort_clone' => true,
                'clone' => true,
                'collapsible' => true,
                'clone_default' => true,
                'default_state' => 'collapsed',
                'save_state' => true,
                'group_title' => array( 'field' => 'title' ),
                'fields' => array(
                    array(
                        'name' => esc_html__( 'Title', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                        'id' => 'title',
                        'type' => 'text',
                    ),
                    array(
                        'name' => esc_html__( 'Text', 'cloux' ),
                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                        'id' => 'text',
                        'type' => 'textarea',
                    ),
                    array(
                        'name' => esc_html__( 'Column', 'cloux' ),
                        'desc' => esc_html__( 'You can choose a column.', 'cloux' ),
                        'id' => 'column',
                        'type' => 'select',
                                'placeholder' => esc_html__( 'Score Type', 'cloux' ),
                        'options' => array(
                            'column-1' => esc_html__( '1', 'cloux' ),
                            'column-2' => esc_html__( '2', 'cloux' ),
                            'column-3' => esc_html__( '3', 'cloux' ),
                        ),
                    ),
                    array(
                        'name' => esc_html__( 'List', 'cloux' ),
                        'id' => 'analysis-items',
                        'type' => 'group',
                        'sort_clone' => true,
                        'clone' => true,
                        'collapsible' => true,
                        'clone_default' => true,
                        'default_state' => 'collapsed',
                        'save_state' => true,
                        'group_title' => array( 'field' => 'title' ),
                        'fields' => array(
                            array(
                                'name' => esc_html__( 'Title', 'cloux' ),
                                'desc' => esc_html__( 'You can enter a title.', 'cloux' ),
                                'id' => 'title',
                                'type' => 'text',
                            ),
                            array(
                                'name' => esc_html__( 'List', 'cloux' ),
                                'id' => 'items',
                                'type' => 'group',
                                'sort_clone' => true,
                                'clone' => true,
                                'collapsible' => true,
                                'clone_default' => true,
                                'default_state' => 'collapsed',
                                'save_state' => true,
                                'group_title' => array( 'field' => 'text' ),
                                'fields' => array(
                                    array(
                                        'name' => esc_html__( 'Text', 'cloux' ),
                                        'id' => 'text',
                                        'type' => 'text',
                                        'desc' => esc_html__( 'You can enter a text.', 'cloux' ),
                                    ),
                                    array(
                                        'name' => esc_html__( 'Icon Color', 'cloux' ),
                                        'id' => 'icon-color',
                                        'type' => 'color',
                                        'desc' => esc_html__( 'You can choose a custom color.', 'cloux' ),
                                    ),
                                    array(
                                        'name' => esc_html__( 'Icon', 'cloux' ),
                                        'id' => 'icon',
                                        'type' => 'text',
                                        'desc' => esc_html__( 'You can enter a icon name. List of icons is exist in documentation file. Example: edge, automobile, bel-o.', 'cloux' ),
                                    ),
                                ),
                            ),
                        ),
                    ),
                ),
            ),
        )
    );



    /*======
    *
    * eSport Players
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'esport-player-settings',
        'title' => esc_html__( 'eSport Player Settings', 'cloux' ),
        'post_types' => 'esport-player',
        'context' => 'normal',
        'priority' => 'high',
        'tabs' => array(
            'general' => array(
                'label' => esc_html__( 'General', 'cloux' ),
                'icon' => 'dashicons-admin-customizer',
            ),
            'network' => array(
                'label' => esc_html__( 'Network', 'cloux' ),
                'icon' => 'dashicons-networking',
            ),
        ),
        'tab_style' => 'left',
        'tab_wrapper' => true,

        /*====== Fields ======*/
        'fields' => array(
            /*====== General ======*/
            array(
                'name' => esc_html__( 'Username', 'cloux' ),
                'desc' => esc_html__( 'You can enter a username.', 'cloux' ),
                'id' => 'esport-player-username',
                'type' => 'text',
                'tab' => 'general',
            ),

            /*====== Network ======*/
            array(
                'name' => esc_html__( 'Facebook', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Facebook URL.', 'cloux' ),
                'id' => 'esport-player-facebook-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Twitter', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Twitter URL.', 'cloux' ),
                'id' => 'esport-player-twitter-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Google+', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Google+ URL.', 'cloux' ),
                'id' => 'esport-player-google-plus-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Pinterest', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Pinterest URL.', 'cloux' ),
                'id' => 'esport-player-pinterest-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'LinkedIn', 'cloux' ),
                'desc' => esc_html__( 'You can enter a LinkedIn URL.', 'cloux' ),
                'id' => 'esport-player-linkedin-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'YouTube', 'cloux' ),
                'desc' => esc_html__( 'You can enter a YouTube URL.', 'cloux' ),
                'id' => 'esport-player-youtube-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Vimeo', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Vimeo URL.', 'cloux' ),
                'id' => 'esport-player-vimeo-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Tumblr', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Tumblr URL.', 'cloux' ),
                'id' => 'esport-player-tumblr-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Instagram', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Instagram URL.', 'cloux' ),
                'id' => 'esport-player-instagram-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Flickr', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Flickr URL.', 'cloux' ),
                'id' => 'esport-player-flickr-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Dribbble', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Dribbble URL.', 'cloux' ),
                'id' => 'esport-player-dribbble-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Reddit', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Reddit URL.', 'cloux' ),
                'id' => 'esport-player-reddit-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'SoundCloud', 'cloux' ),
                'desc' => esc_html__( 'You can enter a SoundCloud URL.', 'cloux' ),
                'id' => 'esport-player-soundcloud-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Spotify', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Spotify URL.', 'cloux' ),
                'id' => 'esport-player-spotify-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Yahoo', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Yahoo URL.', 'cloux' ),
                'id' => 'esport-player-yahoo-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Behance', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Behance URL.', 'cloux' ),
                'id' => 'esport-player-behance-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'CodePen', 'cloux' ),
                'desc' => esc_html__( 'You can enter a CodePen URL.', 'cloux' ),
                'id' => 'esport-player-codepen-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Delicious', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Delicious URL.', 'cloux' ),
                'id' => 'esport-player-delicious-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'StumbleUpon', 'cloux' ),
                'desc' => esc_html__( 'You can enter a StumbleUpon URL.', 'cloux' ),
                'id' => 'esport-player-stumbleupon-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'DeviantArt', 'cloux' ),
                'desc' => esc_html__( 'You can enter a DeviantArt URL.', 'cloux' ),
                'id' => 'esport-player-deviantart-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Digg', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Digg URL.', 'cloux' ),
                'id' => 'esport-player-digg-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'GitHub', 'cloux' ),
                'desc' => esc_html__( 'You can enter a GitHub URL.', 'cloux' ),
                'id' => 'esport-player-github-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Medium', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Medium URL.', 'cloux' ),
                'id' => 'esport-player-medium-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Steam', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Steam URL.', 'cloux' ),
                'id' => 'esport-player-steam-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'VK', 'cloux' ),
                'desc' => esc_html__( 'You can enter a VK URL.', 'cloux' ),
                'id' => 'esport-player-vk-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( '500px', 'cloux' ),
                'desc' => esc_html__( 'You can enter a 500px URL.', 'cloux' ),
                'id' => 'esport-player-500px-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Foursquare', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Foursquare URL.', 'cloux' ),
                'id' => 'esport-player-foursquare-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Slack', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Slack URL.', 'cloux' ),
                'id' => 'esport-player-slack-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'WhatsApp', 'cloux' ),
                'desc' => esc_html__( 'You can enter a WhatsApp URL.', 'cloux' ),
                'id' => 'esport-player-whatsapp-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Skype', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Skype URL.', 'cloux' ),
                'id' => 'esport-player-skype-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Twitch', 'cloux' ),
                'desc' => esc_html__( 'You can enter a Twitch URL.', 'cloux' ),
                'id' => 'esport-player-twitch-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'PayPal', 'cloux' ),
                'desc' => esc_html__( 'You can enter a PayPal URL.', 'cloux' ),
                'id' => 'esport-player-paypal-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Official Site', 'cloux' ),
                'desc' => esc_html__( 'You can enter a official site URL.', 'cloux' ),
                'id' => 'esport-player-official-site-url',
                'type' => 'text',
                'tab' => 'network',
            ),
            array(
                'name' => esc_html__( 'Custom Site', 'cloux' ),
                'desc' => esc_html__( 'You can enter a custom site URL.', 'cloux' ),
                'id' => 'esport-player-custom-site-url',
                'type' => 'text',
                'tab' => 'network',
            ),
        )
    );



    /*======
    *
    * eSport Fixture
    *
    ======*/
    $meta_boxes[] = array(
        /*====== Settings ======*/
        'id' => 'esport-fixture-settings',
        'title' => esc_html__( 'eSport Fixture Settings', 'cloux' ),
        'post_types' => 'esport-fixture',
        'context' => 'normal',
        'priority' => 'high',
        'tab_style' => 'left',
        'tab_wrapper' => true,

        /*====== Fields ======*/
        'fields' => array(
            array(
                'name' => esc_html__( 'Home Team', 'cloux' ),
                'desc' => esc_html__( 'You can choose a home team.', 'cloux' ),
                'id' => 'esport-fixture-home-team',
                'taxonomy' => 'esport-team',
                'type' => 'taxonomy_advanced',
                'field_type' => 'select_advanced',
                'multiple' => false,
            ),
            array(
                'name' => esc_html__( 'Home Team Score', 'cloux' ),
                'desc' => esc_html__( 'You can enter a score.', 'cloux' ),
                'id' => 'esport-fixture-home-team-score',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__( 'Away Team', 'cloux' ),
                'desc' => esc_html__( 'You can choose a away team.', 'cloux' ),
                'id' => 'esport-fixture-away-team',
                'taxonomy' => 'esport-team',
                'type' => 'taxonomy_advanced',
                'field_type' => 'select_advanced',
                'multiple' => false,
            ),
            array(
                'name' => esc_html__( 'Away Team Score', 'cloux' ),
                'desc' => esc_html__( 'You can enter a score.', 'cloux' ),
                'id' => 'esport-fixture-away-team-score',
                'type' => 'text',
            ),
            array(
                'name' => esc_html__( 'Match Date', 'cloux' ),
                'desc' => esc_html__( 'You can enter a date.', 'cloux' ),
                'id' => 'esport-fixture-match-date',
                'type' => 'date',
            ),
            array(
                'name' => esc_html__( 'Match Time', 'cloux' ),
                'desc' => esc_html__( 'You can enter a time.', 'cloux' ),
                'id' => 'esport-fixture-match-time',
                'type' => 'time',
            ),
            array(
                'name' => esc_html__( 'Match Video', 'cloux' ),
                'desc' => esc_html__( 'You can enter a video URL.', 'cloux' ),
                'id' => 'esport-fixture-match-video',
                'type' => 'oembed',
            ),
        )
    );



    return $meta_boxes;
}
add_filter( 'rwmb_meta_boxes', 'cloux_meta_boxes' );